Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.mvc.condition
Class AbstractRequestCondition<T extends AbstractRequestCondition<T>>

    java.lang.Object
      org.springframework.web.servlet.mvc.condition.AbstractRequestCondition<T>

All Implemented Interfaces:
  RequestCondition<T>

Direct Known Subclasses:
  CompositeRequestCondition, ConsumesRequestCondition, HeadersRequestCondition, ParamsRequestCondition, PatternsRequestCondition, ProducesRequestCondition, RequestConditionHolder, RequestMethodsRequestCondition

    public abstract class AbstractRequestCondition<T extends AbstractRequestCondition<T>>

extends java.lang.Object
implements RequestCondition<T>

A base class for `RequestCondition` types providing implementations of `equals(Object)`, `hashCode()`, and `toString()`.

Since:
  3.1
Author:
  Rossen Stoyanchev

Constructor Summary
`AbstractRequestCondition()`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`protected abstract java.util.Collection<?>` | `getContent()` Return the discrete items a request condition is composed of.
`protected abstract java.lang.String` | `getToStringInfix()` The notation to use when printing discrete items of content.
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.springframework.web.servlet.mvc.condition.RequestCondition
`combine, compareTo, getMatchingCondition`

Constructor Detail

### AbstractRequestCondition

    public AbstractRequestCondition()

Method Detail

### getContent

    protected abstract java.util.Collection<?> getContent()

  Return the discrete items a request condition is composed of. For example URL patterns, HTTP request methods, param expressions, etc.

  Returns:
    a collection of objects, never `null`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getToStringInfix

    protected abstract java.lang.String getToStringInfix()

  The notation to use when printing discrete items of content. For example " || " for URL patterns or " && " for param expressions.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD